import Vue from 'vue'
import Vuex from 'vuex'
import user from './model/user'
import i18n from '../libs/i18n/index.js'
Vue.use(Vuex)

const store = new Vuex.Store({
	state: {
		// // #ifdef APP || MP
		// baseURL: 'https://www.bscnice.com', //请求地址配置
		// // #endif
		// // #ifdef H5
		// baseURL:window.location.protocol + "//" + window.location.host, //请求地址配置
		// // #endif
		baseURL: 'https://www.bscnice.com', //请求地址配置
		urlFile: '/index', //项目部署所在文件夹
		loginInterceptor: false, //是否打开强制登录
		// #ifdef H5 || MP-WEIXIN
		weichatInfo: {}, //保存微信注册信息
		weichatObj: '', //微信对象
		// #endif
		langList: [
			// {
			//  value: 'tw',
			//  label: '繁體中文'
		 //   },
		   {
			 value: 'en',
			 label: 'English'
		   },
			{
				value: 'cn',
				label: '简体中文'
			},
		],
		lang:uni.getStorageSync('lang')||'en',

	},
	mutations: {
		//保存微信信息
		setWeiChatInfo(state, provider) {
			state.weichatInfo = provider;
		},
		//保存微信对象
		setWeiChatObj(state, provider) {
			state.weichatObj = provider;
		},
		LANG(state, data) {
			uni.setStorageSync('lang', data)
			i18n.locale = data
			state.lang = data
		},
	},
	modules: {
		user
	},
	actions: {
		// 设置当前语言
		setLang({ commit }, data) {
		  commit('LANG', data)
		  // commit('VANTLANG', data)
		},
	}
})

export default store